import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

var genSummaryStyle = function genSummaryStyle(token) {
  var _$concat;

  var componentCls = token.componentCls,
      controlLineWidth = token.controlLineWidth,
      tableBorderColor = token.tableBorderColor;
  var tableBorder = "".concat(controlLineWidth, "px ").concat(token.controlLineType, " ").concat(tableBorderColor);
  return _defineProperty({}, "".concat(componentCls, "-wrapper"), (_$concat = {}, _defineProperty(_$concat, "".concat(componentCls, "-summary"), {
    position: 'relative',
    zIndex: token.zIndexTableFixed,
    background: token.tableBg,
    '> tr': {
      '> th, > td': {
        borderBottom: tableBorder
      }
    }
  }), _defineProperty(_$concat, "div".concat(componentCls, "-summary"), {
    boxShadow: "0 -".concat(controlLineWidth, "px 0 ").concat(tableBorderColor)
  }), _$concat));
};

export default genSummaryStyle;